Android Target Version?

Neotron

  • Posts: 475
Is it possible to not add Android Target Version number manifest to the compiled apk?

morphman86

  • Posts: 141
It should be possible. If it's not set, the Android SDK will simply set it to the same value as Android Minimum Version.

It's really just a way for you to tell the device that you have tested up to the Target version and that it works the same as on the Minimum version, so if someone tries to use the app on a device newer than Target, some compatibility options might be turned on automatically to ensure function.

If the highest you've tested on is the same as Minimum, compatibility mode will always be turned on for newer versions of API.
Programming equivalent of Jack-of-all-trades

Neotron

  • Posts: 475
Ok, thank you and how possible with Stencyl?

morphman86

  • Posts: 141
I've never done it on Stencyl before. If it requires you to set one, just set it manually to lowest version, since it yields the exact same result.
Programming equivalent of Jack-of-all-trades

Neotron

  • Posts: 475
I got this message when I want to upload the apk to Google Play: It is forbidden to downgrade devices which previously used M permissions (target SDK 23 and above) to APKs which use old style permissions (target SDK 22 and below). This occurs in the change from version 4 (target SDK 23) to version 5 (target SDK 16).

So, I think I need to set the target sdk to 22 (or 23?) but how is possible with Stencyl? If not possible how to delete from manifest.xml the target sdk version line or manually modify the target sdk number?

« Last Edit: January 17, 2017, 03:07:47 am by Neotron »

rob1221

  • *
  • Posts: 9472
You can set both a minimum and target Android version (assuming you're using an updated Stencyl version).

Neotron

  • Posts: 475
Yes, the latest. But somehow not working. If i modify them, the game not build. Please check the log maybe you see what could be the problem...

rob1221

  • *
  • Posts: 9472
The log says there's an error but has no details about it.

Neotron

  • Posts: 475
Or is there any way to disable/delete target version line in the manifest.xml?